Bug 1569036 - 4.16.X kernel causes performance problems with videos in kvm [NEEDINFO]
Summary: 4.16.X kernel causes performance problems with videos in kvm
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 28
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-18 14:12 UTC by mvharlan
Modified: 2018-08-29 15:04 UTC (History)
17 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-29 15:04:00 UTC
Type: Bug
jforbes: needinfo?


Attachments (Terms of Use)
dmesg of the host with working 4.15 kernel (73.27 KB, text/plain)
2018-04-19 09:16 UTC, mvharlan
no flags Details
dmesg of the guest centos 7.4.1708 (34.07 KB, text/plain)
2018-04-19 09:21 UTC, mvharlan
no flags Details
dmesg (journalctl -k -b -1) of the host with broken kernel 4.16.2 (85.22 KB, text/x-vhdl)
2018-04-19 09:23 UTC, mvharlan
no flags Details

Description mvharlan 2018-04-18 14:12:00 UTC
Description of problem:

Im running Fedora28 beta. When I use kernel 4.16.[12] my kvm (local using spice)
performance playing videos is bad. smplayer starts a video shows a few
frames and freezes after less then a second. Everything is fine with

vmlinuz-4.15.6-200.fc26.x86_64

Version-Release number of selected component (if applicable):

vmlinuz-4.16.2-300.fc28.x86_64

How reproducible:

boot the new kernel: performance is bad
boot the old kernel: performance is ok

Steps to Reproduce:
1. start kvm local
2. play a mp4 video (or other formats) using smplayer
3.

Actual results:

freezes afer a few frames

Expected results:

shows the video

Additional info:

KVM/QEMU Versions:

[root@mbox harlan]# rpm -qa qemu*
qemu-block-curl-2.11.1-2.fc28.x86_64
qemu-block-rbd-2.11.1-2.fc28.x86_64
qemu-block-gluster-2.11.1-2.fc28.x86_64
qemu-common-2.11.1-2.fc28.x86_64
qemu-system-x86-2.11.1-2.fc28.x86_64
qemu-block-nfs-2.11.1-2.fc28.x86_64
qemu-guest-agent-2.11.1-2.fc28.x86_64
qemu-block-dmg-2.11.1-2.fc28.x86_64
qemu-system-x86-core-2.11.1-2.fc28.x86_64
qemu-block-iscsi-2.11.1-2.fc28.x86_64
qemu-block-ssh-2.11.1-2.fc28.x86_64
qemu-img-2.11.1-2.fc28.x86_64
qemu-kvm-2.11.1-2.fc28.x86_64

I have the feeling, it came in with the meltdown/spectre fixes.

Comment 1 Jeremy Cline 2018-04-18 17:55:52 UTC
Hi,

Thanks for the bug report. Is the host F28, the guest F28, or both? Can you please attach the dmesg logs from the host and guest?

Comment 2 mvharlan 2018-04-19 09:16:38 UTC
Created attachment 1423948 [details]
dmesg of the host with working 4.15 kernel

Comment 3 mvharlan 2018-04-19 09:21:57 UTC
Created attachment 1423966 [details]
dmesg of the guest centos 7.4.1708

Comment 4 mvharlan 2018-04-19 09:23:07 UTC
Created attachment 1423970 [details]
dmesg (journalctl -k -b -1) of the host with broken kernel 4.16.2

Comment 5 Jeremy Cline 2018-04-19 13:38:50 UTC
There doesn't look to be anything exciting in the logs, so your best bet is to bisect this. https://docs.fedoraproject.org/quick-docs/en-US/kernel/troubleshooting.html#bisecting-the-kernel should get you started if you've not bisected the kernel before. Please let me know if you have any questions. Thanks

Comment 6 Justin M. Forbes 2018-07-23 14:54:35 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There are a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 28 kernel bugs.

Fedora 28 has now been rebased to 4.17.7-200.fc28.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.

Comment 7 Justin M. Forbes 2018-08-29 15:04:00 UTC
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 5 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.


Note You need to log in before you can comment on or make changes to this bug.